Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxLiveDataPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.LiveDataPlugin
              org.hyperic.hq.product.jmx.MxLiveDataPlugin

    public class MxLiveDataPlugin

extends LiveDataPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`MxLiveDataPlugin()`

Method Summary
`String[]` | `getCommands()`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(String command)`
`Object` | `getData(String command, org.hyperic.util.config.ConfigResponse config)`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, init, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MxLiveDataPlugin

    public MxLiveDataPlugin()

Method Detail

### getData

    public Object getData(String command,
                          org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Specified by:
    `getData` in class `LiveDataPlugin`
  Throws:
    `PluginException`

### getCommands

    public String[] getCommands()

  Specified by:
    `getCommands` in class `LiveDataPlugin`

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(String command)
                                                         throws PluginException

  Overrides:
    `getConfigSchema` in class `LiveDataPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.